# Vue Column Types Demo

This example uses Bryntum Grid wrapped in the provided `BryntumGridComponent` wrapper.
Vue Bryntum Grid Column Types Demo

This project was generated with [Vue cli](https://cli.vuejs.org/) v.~2.6.11.

# Bryntum Repository access setup

**IMPORTANT NOTE!** These access instructions are mandatory when using the private Bryntum NPM repository.

This example uses npm packages from the Bryntum private NPM repository. You must be logged-in to this repository as a
licensed or trial user to access the packages. Please
check [Online npm repository guide](https://bryntum.com/docs/grid/#guides/npm-repository.md) for detailed information
on the sign-up/login process. Also you can check bundled guide inside distribution zip
in `docs/guides/npm-repository.md`.

# Vue integration guide

Please check this  
[Bryntum Vue integration online guide](https://bryntum.com/docs/grid#guides/integration/vue.md) for detailed
integration information and help. Also you can check bundled guide inside distribution zip
in `docs/guides/integration/vue.md`.

# Installation

Use the following command to install the example packages after the successful login.

Using **npm**:

```shell
$ npm install
```

Using **yarn**:

```shell
$ yarn install
```

# Running a development server

To build example and start development server run this command:

Using **npm**:

```shell
$ npm run serve
```

Using **yarn**:

```shell
$ yarn run serve
```

Navigate to `http://localhost:8000/` or `http://127.0.0.1:8000/` in your browser. We recommend to use latest versions of
modern browsers like Chrome, FireFox, Safari or Edge (Chromium). The app will automatically reload if you change any of
the source files.

# Creating a production build

To build production code for the example run this command:

Using **npm**:

```shell
$ npm run build
```

Using **yarn**:

```shell
$ yarn run build
```

The build artifacts will be stored in the `dist/` directory.

# Distribution zip references

* Bryntum API docs. Open `docs/index.html` in your browser.
* Bryntum Repository guide `docs/guides/npm-repository.md`.
* Bryntum Vue integration guide `docs/guides/integration/vue.md`.

# Online References

* [Vue Framework](https://vuejs.org/)
* [Bryntum Vue integration guide](https://bryntum.com/docs/grid#guides/integration/vue.md)
* [Bryntum Grid documentation](https://bryntum.com/docs/grid)
* [Bryntum Grid examples](https://bryntum.com/examples/grid)
* [Bryntum npm repository guide](https://bryntum.com/docs/grid/#guides/npm-repository.md)
* [Bryntum support Forum](https://bryntum.com/forum)
* [Contacts us](https://www.bryntum.com/contact)
